function SceneVideo(options) {
    this.options = options;

}

SceneVideo.prototype.initialize = function () {
    alert("SceneVideo.initialize()");
    // this function will be called only once when the scene manager show this scene first time
    // initialize the scene controls and styles, and initialize your variables here 
    // scene HTML and CSS will be loaded before this function is called
   
    
}

SceneVideo.prototype.handleShow = function () {
    // this function will be called when the scene manager show this scene 
   
    
    //var widgetAPI = new Common.API.Widget();
    // Set Default key handler function
    //widgetAPI.sendReadyEvent();
    
    // To enable the key event processing    
    sf.scene.returnFocus();
    
    alert("SceneVideo.handleShow()");
    
}

SceneVideo.prototype.handleHide = function () {
    // this function will be called when the scene manager hide this scene  
    alert("SceneVideo.handleHide()");
}

SceneVideo.prototype.handleFocus = function () {
    // this function will be called when the scene manager focus this scene
    alert("SceneVideo.handleFocus()");    
}

SceneVideo.prototype.handleBlur = function () {
    alert("SceneVideo.handleBlur()");
// this function will be called when the scene manager move focus to another scene from this scene
}

SceneVideo.prototype.handleKeyDown = function (keyCode) {     
    alert("SceneVideo.handleKeyDown(" + keyCode + ")");

    // TODO : write an key event handler when this scene get focued
    switch (keyCode) {
        case sf.key.LEFT:
        case sf.key.RIGHT:
            
            break;
        case sf.key.UP:
           $("#lstVideoPlayer").sfList("prev");
            break;
        case sf.key.DOWN:
            $("#lstVideoPlayer").sfList("next");
            break;
        case sf.key.ENTER:
           showSub();
            break;
        case sf.key.RETURN:
            break;
        case sf.key.EXIT:
            MainController.exitApp();
            break;          
        case sf.key.RED:
         
            break;    
    }
};
function showSub(){
     var testArray = ["123","abc","def"];
    $(".sf-ui-list-item").first().append("<div id='test'></div>");
    $("#test").sfList({
        data: testArray,
        index: 0,
        itemsPerPage: 8
    }).sfList('blur');
}
function playVid(){
    //var vPlayer = document.getElementById("vPlayer");
    var vPlayer = document.getElementById("vPlayer");
    vPlayer.play();
    
}
function initVideoPlayer(){
    sf.service.VideoPlayer.init({
        onstatechange: function(state){
            alert('Current State : ' + state);
        },
        onend: function(){
            alert('Video ended.');
        },
        onerror: function(error){
            alert('Error : ' + error);
        }
    });
    sf.service.VideoPlayer.setPosition({
        left: 100, //    left-coordinate of VideoPlayer area.
        top: 100, //    top-coordinate of VideoPlayer area.
        width: 500, // width of VideoPlayer area.
        height: 400 // height of VideoPlayer area. VideoPlayer takes some of the area base to show information panel.(73px for 540p)
    });
}